import { EncryptedComponents, PackedEncryptedContent } from "./constructs";
/**
 * Pack encrypted content components into the final encrypted form
 * @param encryptedComponents The encrypted components payload
 * @returns The final encrypted form
 */
export declare function packEncryptedContent(encryptedComponents: EncryptedComponents): PackedEncryptedContent;
/**
 * Unpack encrypted content components from an encrypted string
 * @param encryptedContent The encrypted string
 * @returns The extracted components
 * @throws {Error} Throws if the number of components is incorrect
 */
export declare function unpackEncryptedContent(encryptedContent: PackedEncryptedContent): EncryptedComponents;
